<template>
  <div class="page">
    <app-menu title="One Punch Web">
    </app-menu>
    <tab-bar v-model="activeTab">
      <el-tab-pane label="Projects" name="projects">
        <projects-tab></projects-tab>
      </el-tab-pane>
      <el-tab-pane label="Snippets" name="snippets">
        <snippets-tab v-model="snippets"></snippets-tab>
      </el-tab-pane>
      <el-tab-pane label="Cheetsheets" name="cheetsheets">
        <cheatsheets-tab></cheatsheets-tab>
      </el-tab-pane>
      <el-tab-pane label="Clis" name="cli">Cli</el-tab-pane>
      <el-tab-pane label="Bookmarks" name="pages">
        <bookmarks-tab></bookmarks-tab>
      </el-tab-pane>
      <el-tab-pane label="Libs" name="libs">
        <libs-tab></libs-tab>
      </el-tab-pane>
      <el-tab-pane label="V-comps" name="vcomps">V-comps</el-tab-pane>
      <el-tab-pane label="Books" name="books">
        <books-tab></books-tab>
      </el-tab-pane>
      <el-tab-pane label="Mindmaps" name="mindmaps">
        <mindmaps-tab></mindmaps-tab>
      </el-tab-pane>
      <el-tab-pane label="Wireframes" name="wireframes">
        <wireframes-tab></wireframes-tab>
      </el-tab-pane>
      <el-tab-pane label="Gitlab" name="gitlab">
        <gitlab-repos-tab></gitlab-repos-tab>
      </el-tab-pane>
      <el-tab-pane label="Translate" name="translate">
        <translate-tab></translate-tab>
      </el-tab-pane>
    </tab-bar>
  </div>
</template>

<script>
import ProjectsTab from '@/components/tabs/ProjectsTab/ProjectsTab'
import SnippetsTab from '@/components/tabs/SnippetsTab/SnippetsTab'
import CheatsheetsTab from '@/components/tabs/CheatsheetsTab/CheatsheetsTab'
import TranslateTab from '@/components/tabs/TranslateTab/TranslateTab'
import MindmapsTab from '@/components/tabs/MindmapsTab/MindmapsTab'
import WireframesTab from '@/components/tabs/WireframesTab/WireframesTab'
import BookmarksTab from '@/components/tabs/BookmarksTab/BookmarksTab'
import LibsTab from '@/components/tabs/LibsTab/LibsTab'
import GitlabReposTab from '@/components/tabs/GitlabReposTab/GitlabReposTab'
import BooksTab from '@/components/tabs/BooksTab/BooksTab'

export default {
  components: {
    ProjectsTab,
    SnippetsTab,
    CheatsheetsTab,
    TranslateTab,
    MindmapsTab,
    WireframesTab,
    BookmarksTab,
    LibsTab,
    GitlabReposTab,
    BooksTab,
  },
  asyncData({ $axios, query, error }) {
    return $axios.get('/snippets/get')
      .then((res) => {
        const activeTab = query.tab || 'snippets'
        return {
          snippets: res.data,
          activeTab,
        }
      })
      .catch((e) => {
        error({ statusCode: 404, message: 'Snippets not found' })
      })
  },
}
</script>

<style lang="less" scoped>

</style>